# Search cities, lists and venues This endpoint returns resources which are related to activities: cities, lists and/or venues. Its query parameters are similar to those used in the /activities and /autocomplete endpoints, but it does not return activities. Endpoint: GET /activities-related Version: 3.5.0 ## Header parameters: - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Market` (string) Musement markets contain a modified catalog of activities and prices. Partners are expected to use their assigned market code to view their customized catalog. An invalid X-Musement-Market value will return a 400 status code response. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Query parameters: - `city_limit` (integer) Limit the maximum number of cities to include in the response. A positive value is required in order to receive cities in the response. - `city_offset` (integer) Exclude the first N cities from the response, where N is the specified integer value. - `coordinates` (string) Filter results to those located near the specified latitude and longitude. Separate the coordinates with a comma. Must be used together with the distance parameter. Example: "45.7386,-9.3641" - `extend_content_fields` (string) Combined with the text parameter, filter results based on the title only or all content properties: * AUTO: initially filter results based on titles. If no results are found, extend the search to include other content properties. * NO: filter results based on titles only. * YES: filter results based on all content properties. Enum: "AUTO", "NO", "YES" - `extend_other_languages` (string) Combined with the text parameter, filter results based on the Accept-Language header value or all languages: * AUTO: initially filter results based on the Accept-Language header value. If no results are found, extend the search to include all languages. * NO: filter results based on the Accept-Language header value. * YES: filter results based on all languages. Enum: "AUTO", "YES", "NO" - `fuzziness_level` (string) Change the "fuzziness" level for the text parameter value. Higher levels are less strict about exact text matches. Enum: "AUTO", "LEVEL-0", "LEVEL-1", "LEVEL-2" - `list_limit` (integer) Limit the maximum number of Musement lists to include in the response. A positive value is required in order to receive lists in the response. - `list_offset` (integer) Exclude the first N Musement lists from the response, where N is the specified integer value. - `minimum_events` (integer) Filter results to those which are connected to the specified minimum number of activities. - `sort_by` (array) Sort results by one or more of the following values: * relevance: From lowest to highest relevance value. * -relevance: From highest to lowest relevance value. * distance: Results closest to the coordinates parameter appear first. * -distance: Results farthest from the coordinates parameter appear first. This parameter will accept two values, separated with a comma. Items which do not use relevance or coordinates will not be affected by this parameter. Enum: "distance", "-distance", "relevance", "-relevance" - `text` (string) Filter results by key words. - `text_operator` (string) Change how the text parameter filters results when multiple words are used: * AND: results must contain all the key words. * AUTO: filters by AND first. If there are no results, extend to include OR results. * OR: results must contain at least one of the key words. Enum: "AND", "AUTO", "OR" - `venue_limit` (integer) Limit the maximum number of venues to include in the response. A positive value is required in order to receive venues in the response. Using a value greater than the maximum is ignored and the maximum number of possible results is used instead. - `venue_offset` (integer) Exclude the first N venues from the response, where N is the specified integer value. - `zero_terms_query` (string) If set to ALL, if all of the stop words have been removed, search will be performed, if set to 'NONE' will not Enum: "NONE", "ALL" ## Response 200 fields (application/json): - `items` (array) Example: [{"api_url":"https://sandbox.musement.com/api/v3/cities/1","cover_image":"https://images-sandbox.musement.com/cover/0002/39/milan-vittorio-emanuele-ii-gallery-italy-jpg_header-138313.jpeg","events_count":161,"id":"1","title":"Milan","url":"https://.sbox.musement.com/us/milan/"}] - `items.api_url` (string, required) The API endpoint to use for more information about the item. - `items.cover_image` (string, required) A URL for the item's cover image. - `items.events_count` (integer, required) The number of activities connected to the item. - `items.id` (string, required) The numeric ID of the item, represented as a string. - `items.title` (any, required) The title of the item, translated based on the Accept-Language header value. - `items.url` (string, required) An automatically generated Musement URL for the item based on the X-Musement-Market header and item properties. The URL is only valid for select X-Musement-Market values and items. - `matched` (boolean) When true, the items property contains items which exactly match the text query parameter value. Example: true - `type` (string) The type of items represented. Enum: "cities", "lists", "venues" ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"